FOREIGN_GUESS_FORMAT_FROM_FILENAME(3)

FUNCTION
foreign_guess_format_from_filename - Attempt to guess the format of a file by examining its filename.

SYNOPSIS
#include <karma_foreign.h>

unsigned int foreign_guess_format_from_filename

(CONST char *filename)

DESCRIPTION
Attempt to guess the format of a file by examining its filename.

filename
    The name of the file.

RETURN VALUE
A value indicating the format of the file. The value FOREIGN_FILE_FORMAT_KARMA is returned if the extension is ".kf". See <-foreign_TYPES-> for a list of possible values.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/